Cancel async grant
curl --request POST \
--url https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "grant",
"status": "approved",
"transactionHash": "0x1234567890abcdef",
"netAmount": "1000000",
"fee": "10000",
"createdAtUtc": "2024-03-20T10:30:00Z",
"requestedAmount": "1000000",
"updatedAtUtc": "2024-03-20T10:30:00Z",
"asyncStatus": "pending",
"chainId": 1,
"destinationOrg": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"ein": "530196605",
"name": "American Red Cross",
"description": "Providing disaster relief and emergency assistance",
"address": {
"line1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"country": "USA"
},
"website": "https://www.redcross.org",
"logo": "https://example.com/logo.png",
"nteeCode": "E91",
"nteeDescription": "Nursing, Convalescent (Geriatric and Nursing)",
"featuredIndex": 100,
"claimedDateUtc": "2024-03-20T10:30:00Z",
"claimedType": "DIRECT",
"claimed": true,
"contractAddress": "0x1234567890123456789012345678901234567890",
"deployments": [
{
"chainId": 1,
"contractAddress": "0x1234567890123456789012345678901234567890",
"usdcBalance": "2000000",
"isDeployed": true
}
]
},
"destinationSubproject": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"sponsorOrgId": "123e4567-e89b-12d3-a456-426614174000",
"sponsorOrgEin": "123456789",
"ein": "123456789",
"name": "Education Initiative",
"description": "Supporting educational programs in underserved communities",
"website": "https://example.org/initiative",
"logo": "https://example.org/images/logo.png",
"nteeCode": "E91",
"nteeDescription": "Nursing, Convalescent (Geriatric and Nursing)",
"featuredIndex": 100,
"lifetimeContributionsUsdc": "1000000"
},
"recommender": "John Doe",
"purpose": "Supporting educational programs",
"specialInstructions": "Funds must be used exclusively for the summer education program"
}Grant Transfers
Cancel async grant
Cancels a pending (async) grant request. The grant must be in a ‘PendingLiquidation’ state to be cancellable.
This endpoint requires a signed-in user who may cancel grants of the fund from which the grant was initiated.
POST
/
v1
/
transfers
/
async-grants
/
{id}
/
cancel
Cancel async grant
curl --request POST \
--url https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endaoment.org/v1/transfers/async-grants/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "grant",
"status": "approved",
"transactionHash": "0x1234567890abcdef",
"netAmount": "1000000",
"fee": "10000",
"createdAtUtc": "2024-03-20T10:30:00Z",
"requestedAmount": "1000000",
"updatedAtUtc": "2024-03-20T10:30:00Z",
"asyncStatus": "pending",
"chainId": 1,
"destinationOrg": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"ein": "530196605",
"name": "American Red Cross",
"description": "Providing disaster relief and emergency assistance",
"address": {
"line1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"country": "USA"
},
"website": "https://www.redcross.org",
"logo": "https://example.com/logo.png",
"nteeCode": "E91",
"nteeDescription": "Nursing, Convalescent (Geriatric and Nursing)",
"featuredIndex": 100,
"claimedDateUtc": "2024-03-20T10:30:00Z",
"claimedType": "DIRECT",
"claimed": true,
"contractAddress": "0x1234567890123456789012345678901234567890",
"deployments": [
{
"chainId": 1,
"contractAddress": "0x1234567890123456789012345678901234567890",
"usdcBalance": "2000000",
"isDeployed": true
}
]
},
"destinationSubproject": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"sponsorOrgId": "123e4567-e89b-12d3-a456-426614174000",
"sponsorOrgEin": "123456789",
"ein": "123456789",
"name": "Education Initiative",
"description": "Supporting educational programs in underserved communities",
"website": "https://example.org/initiative",
"logo": "https://example.org/images/logo.png",
"nteeCode": "E91",
"nteeDescription": "Nursing, Convalescent (Geriatric and Nursing)",
"featuredIndex": 100,
"lifetimeContributionsUsdc": "1000000"
},
"recommender": "John Doe",
"purpose": "Supporting educational programs",
"specialInstructions": "Funds must be used exclusively for the summer education program"
}Authorizations
Response
Async grant request successfully cancelled
Was this page helpful?